# Method: projects.locations.fleets.list

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#body.aspect)
- [Examples](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#examples)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/projects.locations.fleets/list#try-it)

Returns all fleets within an organization or a project that the caller has access to.

### HTTP request

`GET https://gkehub.googleapis.com/v1beta/{parent=projects/*/locations/*}/fleets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The organization or project to list for Fleets under, in the format `organizations/*/locations/*` or `projects/*/locations/*`. |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Optional. A page token, received from a previous `fleets.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `fleets.list` must match the call that provided the page token. |
| `pageSize` | `integer` Optional. The maximum number of fleets to return. The service may return fewer than this value. If unspecified, at most 200 fleets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/fleet-management/docs/reference/rest/v1beta/ListFleetsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).